/**
 * XActRelationshipEntry.java
 *
 * File generated from the medication::XActRelationshipEntry uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipEntry.
 *
 * 
 */

@XmlType(name = "XActRelationshipEntry")
@XmlEnum
@XmlRootElement(name = "XActRelationshipEntry")
public enum XActRelationshipEntry {
	@XmlEnumValue("COMP")
	COMP("COMP"),
	@XmlEnumValue("DRIV")
	DRIV("DRIV");
	
	private final String value;

    XActRelationshipEntry(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActRelationshipEntry fromValue(String v) {
        for (XActRelationshipEntry c: XActRelationshipEntry.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}